Approve a pending environment with explicit filesystem roots
const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({filesystemGrant: {mode: 'selected_roots', roots: ['<string>']}})
};
fetch('https://getoverlay.io/api/v1/agent-environments/{environmentId}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({filesystemGrant: {mode: 'selected_roots', roots: ['<string>']}})
};
fetch('https://getoverlay.io/api/v1/agent-environments/{environmentId}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://getoverlay.io/api/v1/agent-environments/{environmentId}/approve \
--header 'Content-Type: application/json' \
--cookie overlay_session= \
--data '
{
"filesystemGrant": {
"mode": "selected_roots",
"roots": [
"<string>"
]
}
}
'"<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Agent environments
Approve a pending environment with explicit filesystem roots
POST
/
api
/
v1
/
agent-environments
/
{environmentId}
/
approve
Approve a pending environment with explicit filesystem roots
const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({filesystemGrant: {mode: 'selected_roots', roots: ['<string>']}})
};
fetch('https://getoverlay.io/api/v1/agent-environments/{environmentId}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({filesystemGrant: {mode: 'selected_roots', roots: ['<string>']}})
};
fetch('https://getoverlay.io/api/v1/agent-environments/{environmentId}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://getoverlay.io/api/v1/agent-environments/{environmentId}/approve \
--header 'Content-Type: application/json' \
--cookie overlay_session= \
--data '
{
"filesystemGrant": {
"mode": "selected_roots",
"roots": [
"<string>"
]
}
}
'"<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
browserSessionbearerAuth
Signed httpOnly browser session cookie.
Path Parameters
Body
application/json
- Option 1
- Option 2
Show child attributes
Show child attributes
Response
Successful response. Stable response schemas are documented in workflow guides when available.
Response shape is route-specific and may be backed by @overlay/app-core contracts.